Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003801TestLinkExport/Importpublic2010-09-23 04:222010-11-14 12:07
Reporterloannguyentn 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS VersionWindows
Product Version1.9 Beta 6 
Fixed in Version1.9 (Prague) 
Summary0003801: Crash when updating test case with custom field using Import TC function
DescriptionCrash when updating test case with custom field using Import TC function.

The error message is in the attachment.
Steps To Reproduce1. Create test cases with data for custom field. In my test I enter data for CF_ESTIMATED_EXEC_TIME field.
2. Export these test cases to XML file. Select option to export Custom Field.
3. Change data (if you want. Optional step)
4. Import these test cases from XML file again with options: If test cases are "The same name" with existing test cases ---> "Update the current version".
5. Hit import button ---> the system display error page in main frame. View the attachment for detailed error.
Additional InformationUpdating test cases using Import Test Case function from XML file for test cases that do not have Custom Field works properly.
TagsNo tags attached.
Database (MySQL,Postgres,etc)My SQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon error message.txt [^] (63,757 bytes) 2010-09-23 04:22 [Show Content]

- Relationships

-  Notes
(0011580)
fman (administrator)
2010-10-02 17:53
edited on: 2010-10-02 17:55

on tcImport.php look for

case 1:
       $doCreate=false;
           $tcase_id = key($info); 
           $last_version = $tcase_mgr->get_last_version_info($tcase_id,$getVersionOpt);
$tcversion_id = $last_version['id'];
$ret = $tcase_mgr->update($tcase_id,$tcversion_id,$name,$summary, 	        	                          
$preconditions,$steps,$userID,$kwIDs,         	        	                          $node_order,$exec_type,$importance);

 /// ADD THIS 
    $ret['id'] = $tcase_id;
    $ret['tcversion_id'] = $tcversion_id;

                                    
          $resultMap[] = array($name,$messages['already_exists_updated']);


(0011581)
fman (administrator)
2010-10-02 17:56

make change, retest and let us know
(0011606)
loannguyentn (reporter)
2010-10-04 02:15

I have made the update. I tried to update test cases from XLM file with custom field. It works properly.

Thank you for the fix.
(0012520)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-09-23 04:22 loannguyentn New Issue
2010-09-23 04:22 loannguyentn File Added: error message.txt
2010-09-25 07:34 fman Assigned To => fman
2010-09-25 07:34 fman Status new => assigned
2010-10-02 17:53 fman Note Added: 0011580
2010-10-02 17:55 fman Note Edited: 0011580 View Revisions
2010-10-02 17:56 fman Note Added: 0011581
2010-10-03 14:04 fman Status assigned => feedback
2010-10-04 02:15 loannguyentn Note Added: 0011606
2010-10-04 02:15 loannguyentn Status feedback => assigned
2010-10-30 08:54 fman Status assigned => resolved
2010-10-30 08:54 fman Fixed in Version => 1.9 (Prague)
2010-10-30 08:54 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012520
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker